eCos Reference Manual
Prev | Chapter 51. libipsec Reference | Next

# ipsec_strerror

    IPSEC_STRERROR(3)       System Library Functions Manual      IPSEC_STRERROR(3)

    NAME
         ipsec_strerror - error message for IPsec policy manipulation library

    SYNOPSIS
         #include <netinet6/ipsec.h>

         const char *
         ipsec_strerror();

    DESCRIPTION
         netinet6/ipsec.h declares

               extern int ipsec_errcode;

         which is used to pass an error code from IPsec policy manipulation
         library to an user program.  ipsec_strerror() can be used to obtain the
         error message string for the error code.

         The array pointed to is not to be modified by the program.  Since
         ipsec_strerror() uses strerror(3) as underlying function, calling
         strerror(3) after ipsec_strerror() would make the return value from
         ipsec_strerror() invalid, or overwritten.

    RETURN VALUES
         ipsec_strerror() always return a pointer to C string.  The C string must
         not be overwritten by user programs.

    SEE ALSO
         ipsec_set_policy(3)

    HISTORY
         ipsec_strerror() first appeared in WIDE/KAME IPv6 protocol stack kit.

    BUGS
         ipsec_strerror() will return its result which may be overwritten by sub-
         sequent calls.

         ipsec_errcode is not thread safe.

    KAME                              May 6, 1998                             KAME

Prev | Home | Next
libipsec Reference | Up | eCos PPP User Guide